Skip to content

List all deleted conversation IDs

Request

List all deleted conversation IDs.

Pagination

You can use pagination to limit the number of results returned. The default is 20 results per page. You can navigate to next pages using the page param.

Security
bearerAuth
Query
pageinteger

The page of results to fetch. Defaults to first page

Example:page=1
per_pageinteger, <= 60

How many results per page

Default:20
orderstring

asc or desc. Returns the conversation IDs in ascending or descending order. Defaults to desc

Example:order=desc
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/conversations/deleted?page=1&per_page=20&order=desc' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

View all deleted conversation IDs

Bodyapplication/json
typestring

String representing the object's type. Always has the value conversations.list.

Example:"conversations.list"
conversationsArray of objects(Conversation)

The list of deleted conversation IDs.

total_countinteger

Total number of items available.

Example:10

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

Response
{ "type": "conversations.list", "total_count": 4, "pages": { "type": "pages", "next": "https://api.intercom.io/conversations/deleted?per_page=2&order=desc&page=2", "page": 1, "per_page": 2, "total_pages": 2 }, "conversations": [ {}, {} ] }